### Enumeration

# Gtk SvgError

since: 4.22

#### Declaration

    error-domain Gtk.SvgError

#### Description [src]

Error codes in the `GTK_SVG_ERROR` domain for errors that happen during parsing or rendering of SVG.

Available since: 4.22

#### Members

`GTK_SVG_ERROR_INVALID_SYNTAX`

  The XML syntax is broken in some way.

  - Value: `0`
  - Available since: 4.22
`GTK_SVG_ERROR_INVALID_ELEMENT`

  An XML element is invalid (either because it is not part of SVG, or because it is in the wrong place, or because it not implemented in GTK).

  - Value: `1`
  - Available since: 4.22
`GTK_SVG_ERROR_INVALID_ATTRIBUTE`

  An attribute is invalid (either because it is not part of SVG, or because it is not implemented in GTK, or its value is problematic).

  - Value: `2`
  - Available since: 4.22
`GTK_SVG_ERROR_MISSING_ATTRIBUTE`

  A required attribute is missing.

  - Value: `3`
  - Available since: 4.22
`GTK_SVG_ERROR_INVALID_REFERENCE`

  A reference does not point to a suitable element.

  - Value: `4`
  - Available since: 4.22
`GTK_SVG_ERROR_FAILED_UPDATE`

  An animation could not be updated.

  - Value: `5`
  - Available since: 4.22
`GTK_SVG_ERROR_FAILED_RENDERING`

  Rendering is not according to expecations.

  - Value: `6`
  - Available since: 4.22
`GTK_SVG_ERROR_IGNORED_ELEMENT`

  An XML element is ignored, but it should not affect rendering (this error code is used for metadata and exension elements).

  - Value: `7`
  - Available since: 4.22
`GTK_SVG_ERROR_LIMITS_EXCEEDED`

  An implementation limit has been hit, such as the number of loaded shapes.

  - Value: `8`
  - Available since: 4.22
`GTK_SVG_ERROR_NOT_IMPLEMENTED`

  The SVG uses features that are not supported by `GtkSvg`. It may be advisable to use a different SVG renderer.

  - Value: `9`
  - Available since: 4.22

#### Type functions

###### gtk_svg_error_get_attribute

Returns context information about what XML attribute the parsing error occurred in.

since: 4.22

###### gtk_svg_error_get_element

Returns context information about what XML element the parsing error occurred in.

since: 4.22

###### gtk_svg_error_get_end

Returns context information about the end position in the document where the parsing error occurred.

since: 4.22

###### gtk_svg_error_get_start

Returns context information about the start position in the document where the parsing error occurred.

since: 4.22

###### gtk_svg_error_quark

No description available.